"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const extension = require("./lib/extension.js");
const installCanvasRenderer = require("./lib/renderer/installCanvasRenderer.js");
const installSVGRenderer = require("./lib/renderer/installSVGRenderer.js");
const install = require("./lib/chart/line/install.js");
const install$1 = require("./lib/chart/bar/install.js");
const install$2 = require("./lib/chart/pie/install.js");
const install$3 = require("./lib/chart/scatter/install.js");
const install$4 = require("./lib/chart/radar/install.js");
const install$5 = require("./lib/chart/map/install.js");
const install$6 = require("./lib/chart/tree/install.js");
const install$7 = require("./lib/chart/treemap/install.js");
const install$8 = require("./lib/chart/graph/install.js");
const install$9 = require("./lib/chart/gauge/install.js");
const install$a = require("./lib/chart/funnel/install.js");
const install$b = require("./lib/chart/parallel/install.js");
const install$c = require("./lib/chart/sankey/install.js");
const install$d = require("./lib/chart/boxplot/install.js");
const install$e = require("./lib/chart/candlestick/install.js");
const install$f = require("./lib/chart/effectScatter/install.js");
const install$g = require("./lib/chart/lines/install.js");
const install$h = require("./lib/chart/heatmap/install.js");
const installPictorialBar = require("./lib/chart/bar/installPictorialBar.js");
const install$i = require("./lib/chart/themeRiver/install.js");
const install$j = require("./lib/chart/sunburst/install.js");
const install$k = require("./lib/chart/custom/install.js");
const install$l = require("./lib/component/grid/install.js");
const install$m = require("./lib/component/polar/install.js");
const install$n = require("./lib/component/geo/install.js");
const install$o = require("./lib/component/singleAxis/install.js");
const install$p = require("./lib/component/parallel/install.js");
const install$q = require("./lib/component/calendar/install.js");
const install$r = require("./lib/component/graphic/install.js");
const install$s = require("./lib/component/toolbox/install.js");
const install$t = require("./lib/component/tooltip/install.js");
const install$u = require("./lib/component/axisPointer/install.js");
const install$v = require("./lib/component/brush/install.js");
const install$w = require("./lib/component/title/install.js");
const install$x = require("./lib/component/timeline/install.js");
const installMarkPoint = require("./lib/component/marker/installMarkPoint.js");
const installMarkLine = require("./lib/component/marker/installMarkLine.js");
const installMarkArea = require("./lib/component/marker/installMarkArea.js");
const install$y = require("./lib/component/legend/install.js");
const install$z = require("./lib/component/dataZoom/install.js");
const installDataZoomInside = require("./lib/component/dataZoom/installDataZoomInside.js");
const installDataZoomSlider = require("./lib/component/dataZoom/installDataZoomSlider.js");
const install$A = require("./lib/component/visualMap/install.js");
const installVisualMapContinuous = require("./lib/component/visualMap/installVisualMapContinuous.js");
const installVisualMapPiecewise = require("./lib/component/visualMap/installVisualMapPiecewise.js");
const install$B = require("./lib/component/aria/install.js");
const install$C = require("./lib/component/transform/install.js");
const install$D = require("./lib/component/dataset/install.js");
const universalTransition = require("./lib/animation/universalTransition.js");
const installLabelLayout = require("./lib/label/installLabelLayout.js");
const locale = require("./lib/core/locale.js");
const echarts = require("./lib/core/echarts.js");
const throttle = require("./lib/util/throttle.js");
const platform = require("../../../zrender@5.4.4/node_modules/zrender/lib/core/platform.js");
const parseGeoJson = require("./lib/coord/geo/parseGeoJson.js");
const env = require("../../../zrender@5.4.4/node_modules/zrender/lib/core/env.js");
const Model = require("./lib/model/Model.js");
const Axis = require("./lib/coord/Axis.js");
const graphic$1 = require("../../../zrender@5.4.4/node_modules/zrender/lib/canvas/graphic.js");
const zrender = require("../../../zrender@5.4.4/node_modules/zrender/lib/zrender.js");
const matrix = require("../../../zrender@5.4.4/node_modules/zrender/lib/core/matrix.js");
const vector = require("../../../zrender@5.4.4/node_modules/zrender/lib/core/vector.js");
const util = require("../../../zrender@5.4.4/node_modules/zrender/lib/core/util.js");
const color = require("../../../zrender@5.4.4/node_modules/zrender/lib/tool/color.js");
const helper = require("./lib/export/api/helper.js");
const number = require("./lib/export/api/number.js");
const time = require("./lib/export/api/time.js");
const graphic = require("./lib/export/api/graphic.js");
const format = require("./lib/export/api/format.js");
const util$1 = require("./lib/export/api/util.js");
const SeriesData = require("./lib/data/SeriesData.js");
const Component = require("./lib/model/Component.js");
const Component$1 = require("./lib/view/Component.js");
const Series = require("./lib/model/Series.js");
const Chart = require("./lib/view/Chart.js");
const api = require("./lib/export/api.js");
extension.use([installCanvasRenderer.install]);
extension.use([installSVGRenderer.install]);
extension.use([install.install, install$1.install, install$2.install, install$3.install, install$4.install, install$5.install, install$6.install, install$7.install, install$8.install, install$9.install, install$a.install, install$b.install, install$c.install, install$d.install, install$e.install, install$f.install, install$g.install, install$h.install, installPictorialBar.install, install$i.install, install$j.install, install$k.install]);
extension.use(install$l.install);
extension.use(install$m.install);
extension.use(install$n.install);
extension.use(install$o.install);
extension.use(install$p.install);
extension.use(install$q.install);
extension.use(install$r.install);
extension.use(install$s.install);
extension.use(install$t.install);
extension.use(install$u.install);
extension.use(install$v.install);
extension.use(install$w.install);
extension.use(install$x.install);
extension.use(installMarkPoint.install);
extension.use(installMarkLine.install);
extension.use(installMarkArea.install);
extension.use(install$y.install);
extension.use(install$z.install);
extension.use(installDataZoomInside.install);
extension.use(installDataZoomSlider.install);
extension.use(install$A.install);
extension.use(installVisualMapContinuous.install);
extension.use(installVisualMapPiecewise.install);
extension.use(install$B.install);
extension.use(install$C.install);
extension.use(install$D.install);
extension.use(universalTransition.installUniversalTransition);
extension.use(installLabelLayout.installLabelLayout);
exports.use = extension.use;
exports.registerLocale = locale.registerLocale;
exports.PRIORITY = echarts.PRIORITY;
exports.connect = echarts.connect;
exports.dataTool = echarts.dataTool;
exports.dependencies = echarts.dependencies;
exports.disConnect = echarts.disConnect;
exports.disconnect = echarts.disconnect;
exports.dispose = echarts.dispose;
exports.getCoordinateSystemDimensions = echarts.getCoordinateSystemDimensions;
exports.getInstanceByDom = echarts.getInstanceByDom;
exports.getInstanceById = echarts.getInstanceById;
exports.getMap = echarts.getMap;
exports.init = echarts.init;
exports.registerAction = echarts.registerAction;
exports.registerCoordinateSystem = echarts.registerCoordinateSystem;
exports.registerLayout = echarts.registerLayout;
exports.registerLoading = echarts.registerLoading;
exports.registerMap = echarts.registerMap;
exports.registerPostInit = echarts.registerPostInit;
exports.registerPostUpdate = echarts.registerPostUpdate;
exports.registerPreprocessor = echarts.registerPreprocessor;
exports.registerProcessor = echarts.registerProcessor;
exports.registerTheme = echarts.registerTheme;
exports.registerTransform = echarts.registerTransform;
exports.registerUpdateLifecycle = echarts.registerUpdateLifecycle;
exports.registerVisual = echarts.registerVisual;
exports.setCanvasCreator = echarts.setCanvasCreator;
exports.version = echarts.version;
exports.throttle = throttle.throttle;
exports.setPlatformAPI = platform.setPlatformAPI;
exports.parseGeoJSON = parseGeoJson.default;
exports.parseGeoJson = parseGeoJson.default;
exports.env = env.default;
exports.Model = Model.default;
exports.Axis = Axis.default;
exports.innerDrawElementOnCanvas = graphic$1.brushSingle;
exports.zrender = zrender;
exports.matrix = matrix;
exports.vector = vector;
exports.zrUtil = util;
exports.color = color;
exports.helper = helper;
exports.number = number;
exports.time = time;
exports.graphic = graphic;
exports.format = format;
exports.util = util$1;
exports.List = SeriesData.default;
exports.ComponentModel = Component.default;
exports.ComponentView = Component$1.default;
exports.SeriesModel = Series.default;
exports.ChartView = Chart.default;
exports.extendChartView = api.extendChartView;
exports.extendComponentModel = api.extendComponentModel;
exports.extendComponentView = api.extendComponentView;
exports.extendSeriesModel = api.extendSeriesModel;
